
Foreman - Bug #2503

Intermittent failure to load pages as non-admin user

05/15/2013 12:46 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Seen on: Git Head: ce12585ee584563f99cdc8fbc3ce1f1ae663495f

Rails Env: development

I'm testing permissions access as a non-admin user (with a variety of filters). Usually on the second or third page load, I get a stack

trace:

private method `select' called for nil:NilClass

Rails.root: /home/greg/github/foreman

Application Trace | Framework Trace | Full Trace

lib/foreman/access_control.rb:46:in `public_permissions'

app/models/role.rb:144:in `allowed_permissions'

app/models/role.rb:148:in `allowed_actions'

app/models/role.rb:98:in `allowed_to?'

app/models/user.rb:174:in `allowed_to?'

app/models/user.rb:174:in `allowed_to?'

app/controllers/application_controller.rb:43:in `authorize'

lib/foreman/thread_session.rb:31:in `clear_thread'

 I'm guessing something in the settings loader is dropping information....

History

#1 - 05/17/2013 10:41 AM - Anonymous

- Assignee set to Anonymous

#2 - 05/29/2013 06:58 AM - Anonymous

- Status changed from New to Need more information

- Assignee changed from Anonymous to Greg Sutcliffe

wb: couldn't reproduce with latest discovery plugin and "develop" branch.

#3 - 07/02/2013 07:21 AM - Dominic Cleal

- Target version deleted (1.2.0)

#4 - 01/13/2014 12:55 PM - Greg Sutcliffe

- Description updated

- Status changed from Need more information to Closed

Haven't seen this in a long time, will close for now.
